Admin
Roles and their permissions
The canonical RBAC map the backend enforces.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/roles"{ "data": [ { "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_custom": false, "name": "string", "permissions": [ "string" ] } ], "meta": {}, "success": true}